shared_ptr.h File Reference

Go to the source code of this file.

## Classes

class | std::enable_shared_from_this< _Tp >
struct | std::hash< shared_ptr< _Tp > >
struct | std::owner_less< shared_ptr< _Tp > >
struct | std::owner_less< void >
struct | std::owner_less< weak_ptr< _Tp > >
class | std::shared_ptr< _Tp >
class | std::weak_ptr< _Tp >

## Namespaces

namespace | std
namespace | std::__detail

## Functions

template<typename _Del , typename _Tp , _Lock_policy _Lp>
_Del * | std::get_deleter (const __shared_ptr< _Tp, _Lp > &__p) noexcept
template<typename _Tp , typename _Del >
| std::shared_ptr (unique_ptr< _Tp, _Del >) -> shared_ptr< _Tp >
template<typename _Tp >
| std::shared_ptr (weak_ptr< _Tp >) -> shared_ptr< _Tp >
template<typename _Tp >
| std::weak_ptr (shared_ptr< _Tp >) -> weak_ptr< _Tp >

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file bits/shared_ptr.h.